Subject: RE: [rohc] draft-saifullah-rohc-tcp-early-comp*-00.txt

From: [email-masked]
Date: Tue, 5 Nov 2002 10:27:16 -0600

Hi Lars-Erik,
I have seen different proposals in the ROHC mail list archive, using packet type, using the spare bit in the packet type, etc. I haven't seen any conclusive format for IR-REPLICATE yet. Whatever, it will be it would take some bits for indicating specifically IR-REPLICATE. 

I would like to clarify that Early Compression is not competing with context replication in a sense that you can have one or the other. Early Compression Enabler can provide context replication plus other mechanisms. The enhancements in ROHC-TCP protocol defined by Early Compression Enabler are accomodating context replication also. 

Regards,
Yousuf

-----Original Message-----
From: ext Lars-Erik Jonsson (EAB)
[mailto:[email-masked]]
Sent: 05 November, 2002 10:01 AM
To: [email-masked]
Subject: RE: [rohc] draft-saifullah-rohc-tcp-early-comp*-00.txt

Yousuf,

> Early Compression enabler can send the fields like IP version 
> and IP destination address without defining a new 
> IR-REPLICATE packet. Existing IR packet can be used for 
> sending the information, mentioned in your email, by defining 
> a new profile type.

We are defining a new profile for ROHC TCP. The IR packet for
that profile will include replication capabilities, i.e. the
profile specific part of the IR packet will indicate whether
it is an ordinary (full) IR or an IR-REPLICATE. Please see
the ROHC mail list archive.

I'll come back with comments on your drafts when I have read them.

Cheers,
/L-E
_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc
_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc